Subject: Re: bug#29537: Core updates broken

From: Gábor Boskovits <[email-masked]>
Date: Sun, 3 Dec 2017 16:32:57 +0100

I think it is good to have this one.
In my opinion it is ok, but it would be great if someone else could also
have a look at that.
Once we have a constent that this is a good solution it would be great to
it pushed as soon as posssible, so that I can rebase on this.

The only case where this might might be problematic, is if we really have
different locales for two versions, that are now mapped identically.
How likely is that?
Another possibility would be to really make the locales available under the
full version string path, where they are expected...
That would rule out such an occurence.
WDYT?

2017-12-03 15:13 GMT+01:00 Marius Bakke <[email-masked]>:

> Gábor Boskovits <[email-masked]> writes:
>
> > It seems, that we have a breakage in current core-updates. m4, gettext,
> and
> > at least a few other packages fail to build.
>
> Hello!
>
> The problem is that the glibc version string is used a couple of places
> to determine where locales are found.
>
> The attached patch fixes it, though I'm not sure if it's the best
> approach.  Thoughts?
>
>